| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XMLFormatTarget Class Reference Inheritance diagram for XMLFormatTarget: [legend] List of all members.
## Public Member Functions
virtual | ~XMLFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const unsigned int count, XMLFormatter *const formatter)=0
virtual void | flush ()
## Protected Member Functions
| XMLFormatTarget ()
## Constructor & Destructor Documentation
virtual XMLFormatTarget::~XMLFormatTarget | ( |  | ) | `[virtual]`
XMLFormatTarget::XMLFormatTarget | ( |  | ) | `[protected]`
## Member Function Documentation
virtual void XMLFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const unsigned int | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[pure virtual]`
Implemented in LocalFileFormatTarget, MemBufFormatTarget, and StdOutFormatTarget.
virtual void XMLFormatTarget::flush | ( |  | ) | `[virtual]`
Reimplemented in LocalFileFormatTarget, and StdOutFormatTarget. The documentation for this class was generated from the following file: XMLFormatter.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.